> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/dex-exchange/exchangecreate.md).

# ExchangeCreate

Creates a trading pair.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

{% hint style="danger" %}

#### Warning!

Successful execution, signing, and broadcast of this API call will deduct 1024 TRX from the user's account.
{% endhint %}

## **Parameters**

* `owner_address` - String - Address of the transaction creator
* `first_token_id` - String - The first token's id, default hexString
* `first_token_balance` - String - The first token's balance
* `second_token_id` - String - The second token's id, default hexString
* `second_token_balance` - String - The second token's balance
* `permission_id` - int32 - Optional, for multi-signature use
* `visible` - boolean - Optional. Specifies whether the address is in Base58 format (default: false)

## **Returns**

Transaction object - JSON object: Unsigned transaction, please refer to the [Transaction](https://developers.tron.network/docs/tron-protocol-transaction) chapter for the fields contained in it. Since the transaction type is `ExchangeCreateContract`, the fields contained in `raw_data.contract[0].parameter.value` in the transaction are as follows:

| Field                  | Type   | Description          |
| ---------------------- | ------ | -------------------- |
| owner\_address         | string | Account address      |
| first\_token\_id       | string | First token id       |
| first\_token\_balance  | int64  | First token balance  |
| second\_token\_id      | string | Second token id      |
| second\_token\_balance | int64  | Second token balance |

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/exchangecreate \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "first_token_id": "31303030343837",
  "first_token_balance": 100,
  "second_token_id": "31303030303031",
  "second_token_balance": 100,
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/dex-exchange/exchangecreate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
